<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les propriétés --
   private $_nom   ;
   private $_prenom;
   private $_age;
   // -- Constructeur --
   function __construct($n,$p,$a) {
    $this->_nom=$n;$this->_prenom=$p;$this->_age=$a;
   }
   public function Affiche() {
    echo "Nom : ".$this->_nom." - "       ;
    echo "Prénom : ".$this->_prenom." - " ;
    echo "Age : ".$this->_age.PHP_EOL     ;
   }
 }
 // === Programme ===
 $UnePers1 = new Personnel("dupont","jean",23);
 // sérialisation et sauvegarde
 $ChainePers1 = serialize($UnePers1);
 file_put_contents('sauve1_objet.txt', $ChainePers1);
 // lecture du fichier et reconstrcution de l'objet
 $ChainePers2 = file_get_contents('sauve1_objet.txt');
 $UnePers2    = unserialize($ChainePers2);
 // Afficahge de l'objet restauré
 echo "-- Objet restauré ---".PHP_EOL;
 $UnePers2->Affiche();
?>
